## gittuf rsl

Tools to manage the repository's reference state log

### Synopsis

The 'rsl' subcommand provides tools for managing the repository's Reference State Log (RSL). It is used to view, record, annotate, and synchronize RSL entries to track and audit reference state changes.

### Options

```
  -h, --help   help for rsl
```

### Options inherited from parent commands

```
      --no-color                     turn off colored output
      --profile                      enable CPU and memory profiling
      --profile-CPU-file string      file to store CPU profile (default "cpu.prof")
      --profile-memory-file string   file to store memory profile (default "memory.prof")
      --verbose                      enable verbose logging
```

### SEE ALSO

* [gittuf](gittuf.md)	 - A security layer for Git repositories, powered by TUF
* [gittuf rsl annotate](gittuf_rsl_annotate.md)	 - Annotate prior RSL entries
* [gittuf rsl log](gittuf_rsl_log.md)	 - Display the repository's Reference State Log
* [gittuf rsl propagate](gittuf_rsl_propagate.md)	 - Propagate contents of remote repositories into local repository
* [gittuf rsl record](gittuf_rsl_record.md)	 - Record latest state of a Git reference (e.g., 'main') in the RSL
* [gittuf rsl remote](gittuf_rsl_remote.md)	 - Tools for managing remote RSLs
* [gittuf rsl skip-rewritten](gittuf_rsl_skip-rewritten.md)	 - Creates an RSL annotation to skip RSL reference entries that point to commits that do not exist in the specified ref

